
Foreman - Refactor #8805

Locations and organizations model duplication

12/29/2014 03:05 AM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Code in locations/organizations can be reduced to a mixin both taxonomies can implement and be tested independently. Currently

location.rb copies organization.rb and viceversa, similarly tests are duplicated. This has led to inconsistencies and code that should

be identical now is not.

History

#1 - 12/29/2014 03:19 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2043 added

- Pull request deleted ()

#2 - 01/02/2015 05:07 AM - Dominic Cleal

- Category set to Organizations and Locations

#3 - 09/02/2015 04:47 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (Daniel Lobato Garcia)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/2043)
